rte_tcp_hdr(3)

NAME
rte_tcp_hdr

SYNOPSIS

#include <rte_tcp.h>

  Data Fields

rte_be16_t src_port
rte_be16_t dst_port
rte_be32_t sent_seq
rte_be32_t recv_ack
uint8_t data_off
uint8_t tcp_flags
rte_be16_t rx_win
rte_be16_t cksum
rte_be16_t tcp_urp

Detailed Description

TCP Header

Definition at line 24 of file rte_tcp.h.

Field Documentation

  rte_be16_t src_port
TCP source port.

Definition at line 25 of file rte_tcp.h.

  rte_be16_t dst_port
TCP destination port.

Definition at line 26 of file rte_tcp.h.

  rte_be32_t sent_seq
TX data sequence number.

Definition at line 27 of file rte_tcp.h.

  rte_be32_t recv_ack
RX data acknowledgment sequence number.

Definition at line 28 of file rte_tcp.h.

  uint8_t data_off
Data offset.

Definition at line 29 of file rte_tcp.h.

  uint8_t tcp_flags
TCP flags

Definition at line 30 of file rte_tcp.h.

  rte_be16_t rx_win
RX flow control window.

Definition at line 31 of file rte_tcp.h.

  rte_be16_t cksum
TCP checksum.

Definition at line 32 of file rte_tcp.h.

  rte_be16_t tcp_urp
TCP urgent pointer, if any.

Definition at line 33 of file rte_tcp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.